domo.js
const collectionName = 'YourCollection';
const entity = 'RYUU_APP'; // USER, GROUP, or RYUU_APP
const entityId = 'your-entity-id';
domo.delete(
`/domo/datastores/v1/collections/${collectionName}/permission/${entity}/${entityId}`
).then(() => console.log('permissions removed'));# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.{
"status": 403,
"statusReason": "status 403 reading CollectionsResourceClient#revokeCollectionPermission(UUID,String,String); content:\n{\"status\":403,\"toe\":\"66W18AJRO2-2RSJP-MO2J4\"}",
"toe": "66W18AJRO2-2RSJP-MO2J4"
}{
"status": 404,
"statusReason": "DA0088: Collection 'students' was not found in datastore fcd8baba-9524-4fb5-b94b-b3d3b588e740 - it may not exist on this instance or may not be accessible",
"toe": "IZDKUBLU52-EBW2Z-BFOY2"
}Delete Permissions
Remove all permissions for an entity.
If all entities’ permissions are removed, then only users with the Manage AppDB grant will still have access.
DELETE
/
domo
/
datastores
/
v1
/
collections
/
{collectionName}
/
permission
/
{entity}
/
{entityId}
domo.js
const collectionName = 'YourCollection';
const entity = 'RYUU_APP'; // USER, GROUP, or RYUU_APP
const entityId = 'your-entity-id';
domo.delete(
`/domo/datastores/v1/collections/${collectionName}/permission/${entity}/${entityId}`
).then(() => console.log('permissions removed'));# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.// This API is only available inside a Domo app.
// Use the JavaScript (domo.js) tab for the correct usage.# This API is only available inside a Domo app.
# Use the JavaScript (domo.js) tab for the correct usage.{
"status": 403,
"statusReason": "status 403 reading CollectionsResourceClient#revokeCollectionPermission(UUID,String,String); content:\n{\"status\":403,\"toe\":\"66W18AJRO2-2RSJP-MO2J4\"}",
"toe": "66W18AJRO2-2RSJP-MO2J4"
}{
"status": 404,
"statusReason": "DA0088: Collection 'students' was not found in datastore fcd8baba-9524-4fb5-b94b-b3d3b588e740 - it may not exist on this instance or may not be accessible",
"toe": "IZDKUBLU52-EBW2Z-BFOY2"
}Path Parameters
The name given to the collection in the manifest. Case-sensitive.
The type of entity the permissions apply to.
Available options:
USER, GROUP, RYUU_APP The ID of the entity the permissions apply to. For a USER or GROUP, this is the numeric ID (for example, 870010733). For a RYUU_APP, this is the app instance's UUID — the same value as the app's datastore UUID, which also appears as the subdomain of the app's origin (e.g., https://<instance-uuid>.domoapps.domo.com).
Response
Permissions removed successfully. No response body is returned.